GuidoForm usageLogDescriptionForm {
-default_buttons
-label "Usage log description form"
-layout BoxLayout Y_AXIS
-help_id 10
GuidoField description {
-label "Enter description (optional)"
-display_length 32
-format none
-max_length 256
-tip SYS_USAGE_TIP
-translate none
}
}
set formStatus [$usageLogDescriptionForm interact]
if {$formStatus == "apply"} {
GuidoApp appHandle "ACTIVITY LOG"
$appHandle setParam desc [$description getCurrentValue]
set appStatus [$appHandle invoke]
$appHandle destroy
}
$usageLogDescriptionForm destroy
